Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal
Class AbstractContributionDef

    java.lang.Object
      org.apache.tapestry5.internal.AbstractContributionDef

All Implemented Interfaces:
  ContributionDef

Direct Known Subclasses:
  SyntheticSymbolSourceContributionDef

    public abstract class AbstractContributionDef

extends java.lang.Object
implements ContributionDef

Partially implements `ContributionDef`, providing empty implementations of the three contribute() methods.

Constructor Summary
`AbstractContributionDef()`

Method Summary
`void` | `contribute(ModuleBuilderSource moduleSource, ServiceResources resources, Configuration configuration)` Performs the work needed to contribute into the standard, unordered configuration.
`void` | `contribute(ModuleBuilderSource moduleSource, ServiceResources resources, MappedConfiguration configuration)` Performs the work needed to contribute into the mapped configuration.
`void` | `contribute(ModuleBuilderSource moduleSource, ServiceResources resources, OrderedConfiguration configuration)` Performs the work needed to contribute into the ordered configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tapestry5.ioc.def.ContributionDef
`getServiceId`

Constructor Detail

### AbstractContributionDef

    public AbstractContributionDef()

Method Detail

### contribute

    public void contribute(ModuleBuilderSource moduleSource,
                           ServiceResources resources,
                           Configuration configuration)

  Description copied from interface: `ContributionDef`
  Performs the work needed to contribute into the standard, unordered configuration.

  Specified by:
    `contribute` in interface `ContributionDef`
  Parameters:
    `moduleSource` - the source, if needed, of the module instance associated with the contribution
    `resources` - allows access to services visible to the module
    `configuration` - the unordered configuration into which values should be loaded. This instance will encapsulate all related error checks (such as passing of nulls or inappropriate classes).

### contribute

    public void contribute(ModuleBuilderSource moduleSource,
                           ServiceResources resources,
                           OrderedConfiguration configuration)

  Description copied from interface: `ContributionDef`
  Performs the work needed to contribute into the ordered configuration.

  Specified by:
    `contribute` in interface `ContributionDef`
  Parameters:
    `moduleSource` - the source, if needed, of the module instance associated with the contribution
    `resources` - allows access to services visible to the module
    `configuration` - the ordered configuration into which values should be loaded. This instance will encapsulate all related error checks (such as passing of nulls or inappropriate classes).

### contribute

    public void contribute(ModuleBuilderSource moduleSource,
                           ServiceResources resources,
                           MappedConfiguration configuration)

  Description copied from interface: `ContributionDef`
  Performs the work needed to contribute into the mapped configuration.

  Specified by:
    `contribute` in interface `ContributionDef`
  Parameters:
    `moduleSource` - the source, if needed, of the module instance associated with the contribution
    `resources` - allows access to services visible to the module
    `configuration` - the mapped configuration into which values should be loaded. This instance will encapsulate all related error checks (such as passing of null keys or values or inappropriate classes, or duplicate keys).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.